Please support VectorLinux!

Author Topic: 20110504 goldendict-1.0.1 [VL7.0]  (Read 4526 times)

sledgehammer

  • Vectorian
  • ****
  • Posts: 1451
Re: 20110504 goldendict-1.0.1 [VL7.0]
« Reply #15 on: June 18, 2012, 07:09:29 am »
Quote
At this point, it should work.

Works perfectly.

Thanks!
VL7.0 xfce4 Samsung RF511

MarkGrieveson

  • Vectorian
  • ****
  • Posts: 531
Re: 20110504 goldendict-1.0.1 [VL7.0]
« Reply #16 on: January 23, 2013, 10:52:44 am »
Just a note to the developers of this package:

I noticed that the "English Wikipedia" dictionary was not showing image files.  So, I checked this out, and found some information on this site.  Apparently the mediawiki.cc file from the source requires two extra lines to correct this issue.  So, I removed the Vector Goldendict package, and built it from source, changing the mediawiki.cc file as suggested by the aforementioned website.  Also, I upgraded hunspell from 1.2.14-i586-1vl70 to 1.3.2-i586-1vl70 via Gslapt.  The Vector package of goldendict (1.0.1-i586-2vl70) does not work with the most recent version of hunspell in the VL-7.0 repository (see previous comments).  Anyway, good news, the version of goldendict I built from source does work with the most recent package of hunspell (1.3.2-i586-1vl70) and it does display images when using the "English Wikipedia" dictionary option (and presumably any other web dictionary.)  So these issues should be an easy fix for the Vector package.

PS, I am still using gcide (Webster 1913 dictionary) and am quite happy with that.
I am using VL7.0 standard with XFCE

hata_ph

  • Moderator
  • Vectorian
  • *****
  • Posts: 3261
  • -- Just being myself --
Re: 20110504 goldendict-1.0.1 [VL7.0]
« Reply #17 on: March 04, 2013, 10:19:46 pm »
I have build goldendict-1.0.1 v3 to use hunspell-1.3.2 and apply the fix that MarkGrieveson suggested...pls move it to the testing repo...thanks